Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appResourceOwnersV2.set({
appId: "<id>",
resourceTypeId: "<id>",
resourceId: "<id>",
});
console.log(result);
}
run();curl --request PUT \
--url https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/resource_types/{resource_type_id}/resources/{resource_id}/owners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"roleSlug": "<string>",
"userRefs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/resource_types/{resource_type_id}/resources/{resource_id}/owners"
payload = {
"appEntitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"roleSlug": "<string>",
"userRefs": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appEntitlementRefs: [{appId: '<string>', id: '<string>'}],
roleSlug: '<string>',
userRefs: [{id: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v2/apps/{app_id}/resource_types/{resource_type_id}/resources/{resource_id}/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}App Resource Owner V2
Set
Set replaces all owners for a given app resource and role.
PUT
/
api
/
v2
/
apps
/
{app_id}
/
resource_types
/
{resource_type_id}
/
resources
/
{resource_id}
/
owners
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appResourceOwnersV2.set({
appId: "<id>",
resourceTypeId: "<id>",
resourceId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The resourceTypeId field.
The resourceId field.
Body
application/json
SetAppResourceOwnersV2Request is the request for setting the owners of an app resource for a given role.
Response
200 - application/json
SetAppResourceOwnersV2Response is the empty response for setting app resource owners.
SetAppResourceOwnersV2Response is the empty response for setting app resource owners.
Was this page helpful?
⌘I